Subject: Re: [PATCH V2] net/sched: sch_plug - Queue traffic until an explicit release command

From: Hagen Paul Pfeifer <[email-masked]>
Date: Tue, 31 Jan 2012 16:25:06 +0100

On Mon, 30 Jan 2012 08:47:45 -0800, Shriram Rajagopalan wrote:

> Could you elaborate a little on the packet-based-unplug ?

> I got your earlier comment on "indefinite unplug" until an explicit

> plug is received. Is that what you mean by packet-based-unplug ?

Sure, imagine a multihop MANET network. Sometimes we have high-priority

crosstraffic in the next hop (router). Due to OLSR traffic information we

know in advance that the next hop is not in the ability to forward our low

priority packets. With this knowledge we can stop (unplug) local generated

and forwarded traffic and if the next hop has enough free bandwidth we can

restart (plug) sending already enqueued packets.

So for us a really simple plug/unplug mechanism is superior. Maybe a

head-drop FIFO based policy for forwarded traffic but I can provide a patch

on top of your patch to implement a head-drop policy.

Hagen